@use "../../../styles/colors";
@use "../../../styles/defaults";

.popup {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  z-index: 1;
  background: linear-gradient(
    colors.$overlay-transparent-secondary,
    colors.$overlay-transparent-secondary
  );
  backdrop-filter: blur(0.5rem);
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.3s, opacity 0.3s, background 0.3s,
    backdrop-filter 0.3s;

  &--show {
    visibility: visible;
    opacity: 1;
  }

  &__overlay {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  &__container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: min(300px, 90%);
    border-radius: defaults.$border-radius;
    z-index: 1;
    display: flex;
    flex-direction: column;
    gap: 2.8rem;
    text-align: center;

    &__name {
      font-size: 2.4rem;
      line-height: 1.4;
      text-decoration: none;
      color: colors.$light;
      font-weight: 700;

      &:hover {
        animation: shake 0.6s infinite alternate;
      }
    }

    &__challenge {
      font-size: 1rem;
      color: colors.$secondary-light;
    }
  }
}

@keyframes shake {
  0% {
    transform: rotate(1deg);
    color: colors.$primary-hover;
  }
  50% {
    transform: rotate(-1deg) scale(1.1);
    color: colors.$light;
  }
  100% {
    transform: rotate(1deg);
    color: colors.$primary-hover;
  }
}
